<!-- Fade Header with collapse header -->
  <ion-header collapse="fade" [translucent]="true">
    <ion-toolbar>
      <ion-buttons class="back-button">
        <ion-back-button slot="start" defaultHref="/admin-settings"></ion-back-button>
      </ion-buttons>
    </ion-toolbar>
    <ion-toolbar>
      <ion-title size="large">Systemeinstellungen</ion-title>
    </ion-toolbar>
  </ion-header>

<ion-content class="main-bg-container">
  <ion-grid>
    <ion-row>
      <ion-col>
        <ion-item>
          <ion-label position="stacked">Anrede</ion-label>
          <ion-select [(ngModel)]="account.title">
            <ion-select-option value="Herr">Herr</ion-select-option>
            <ion-select-option value="Frau">Frau</ion-select-option>
          </ion-select>
          <!-- <ion-label slot="start">Anrede</ion-label>
          <ion-input [(ngModel)]="account.title" name="Anrede" type="text" slot="end"></ion-input> -->
        </ion-item>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-item>
          <ion-label position="stacked">Nachname</ion-label>
          <ion-input [(ngModel)]="account.lastName" name="Name" type="text"></ion-input>
        </ion-item>
      </ion-col>
     </ion-row>
     <ion-row>
      <ion-col>
        <ion-item>
          <ion-label position="stacked">Vorname</ion-label>
          <ion-input [(ngModel)]="account.firstName" name="Vorname" type="text"></ion-input>
        </ion-item>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-item>
          <ion-label position="stacked">Email</ion-label>
          <ion-input [(ngModel)]="account.email" name="email" type="email"></ion-input>
        </ion-item>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-item>
          <ion-label position="stacked">Rolle</ion-label>
          <ion-select [(ngModel)]="account.role">
            <ion-select-option value="Admin">Admin</ion-select-option>
            <ion-select-option value="User">User</ion-select-option>
          </ion-select>
          <!-- <ion-input [(ngModel)]="account.role" name="role" type="text"></ion-input> -->
        </ion-item>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-item>
          <ion-label position="stacked">Passwort</ion-label>
          <ion-input [(ngModel)]="account.password" name="password" type="password"></ion-input>
        </ion-item>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-item>
          <ion-label position="stacked">Passwort bestätigen</ion-label>
          <ion-input [(ngModel)]="account.confirmPassword" name="passwordConfirm" type="password"></ion-input>
        </ion-item>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-button expand="block" (click)="saveAccount()">Speichern</ion-button>
        <ion-button expand="block" (click)="presentAlert()">Löschen</ion-button>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
